Eclipse Platform Release 3.7

## org.eclipse.core.runtime
Interface IBundleGroupProvider

    public interface IBundleGroupProvider

Bundle group providers define groups of plug-ins which have been installed in the current system. Typically, a configuration agent (i.e., plug-in installer) will define a bundle group provider so that it can report to the system the list of plug-ins it has installed.

Since:
  3.0
See Also:
  `IBundleGroup`

Method Summary
`IBundleGroup[]` `getBundleGroups()` Returns the bundle groups provided by this provider.
`String` `getName()` Returns the human-readable name of this bundle group provider.

Method Detail

### getName

    String getName()

  Returns the human-readable name of this bundle group provider.

  Returns:
    the name of this bundle group provider

### getBundleGroups

    IBundleGroup[] getBundleGroups()

  Returns the bundle groups provided by this provider.

  Returns:
    the bundle groups provided by this provider

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.